.checkbox {
    &__container {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 20px;
        height: 20px;
        border-radius: 4px;
        box-sizing: border-box;
        user-select: none;
        transition: 350ms ease-in-out background-color, 250ms ease-in-out color, 100ms ease-in-out border;
        color: var(--text-cloud);
        border: 2px solid transparent;
        cursor: pointer;

        &--active {
            background-color: var(--raspberry);
            color: var(--text-cloud);
            border-color: var(--raspberry);
        }

        &--inactive {
            background-color:  var(--text-cloud);
            border-color: var(--text-onyx);
        }

        &--disabled {
            pointer-events: none;
            background-color: #e5e5e5;
            border: none;
            color: var(--text-cloud);
        }

        & .icons__container{
            pointer-events: none;
        }
    }
}